Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041087
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2019-06-13 12:192019-08-22 14:44
Reportersalvador_campanellaView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision0e684726a0e4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041087: when the internet connection is slow the GetConvertedQtyActionHandler don't set the value in the correct cell

Descriptionwhen the internet connection is slow the GetConvertedQtyActionHandler don't set the value in the correct cell

More info:
https://drive.google.com/file/d/1MRuxngMEYCm4nmgqqvDo-kPjDMglGMkU/view?usp=sharing [^]
Steps To Reproduce1.- Create a New Purchase Order
2.- Click the button "Create Lines"
3.- Add the columns "Aum" and "Aum Quantity"
4.- Open the Chrome dev tools and set the Internet connection to "3G fast"
5.- Enter a value in the "Aum Quantity" and later click in another row

Error: the value should be set in the same row but is set in the row where you click.

If you make this process with a good Internet connection the value is set in the correct row
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041209 scheduledcollazoandy4 NumberFormatException can be thrown in Create Lines process if Aum Quantity is left empty 
related to defect 0041352 closedAugustoMauch Wrong validation error when internet connection is slow 

-  Notes
(0113109)
caristu (developer)
2019-06-28 14:40

The problem happens when the record selection changes between the call to GetConvertedQtyActionHandler and the corresponding callout execution.
(0113120)
salvador_campanella (developer)
2019-07-01 16:21

When AUM Quantity is entered and the process converted to Ordered Quantity

The fill still showing red color background even after reflecting the correct Order Quantity

If you click the field in red and later select another field the background color red is removed
(0113223)
collazoandy4 (developer)
2019-07-08 16:32

Test Plan
  Go to Purchase Order window and create a new record for Bebidas Alegres, S.L.
    Click the button Create Lines and add the columns "Aum" and "Aum Quantity"
    Open the Chrome dev tools and set the Internet connection to "3G fast"
    Enter a value in the "Aum Quantity" and later click in another row and check
      The value is set in the same row
      The cell is refresh with a valid state
(0113394)
hgbot (developer)
2019-07-16 09:30

Repository: erp/devel/pi
Changeset: 0e684726a0e453aad98cab81a9bf7e74826be2ea
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Jul 12 11:14:56 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0e684726a0e453aad98cab81a9bf7e74826be2ea [^]

Fixes issue 41087: When the internet connection is slow the
GetConvertedQtyActionHandler don't set the value in the correct cell

A wrong rowNum was used to update quantity column value.

Now in the request the rowNum is send to properly update the quantity column value

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/procurement/ob-procurement.js
---
(0113395)
dmiguelez (developer)
2019-07-16 09:31

Code Review + Testing Ok
(0114150)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-06-13 12:19 salvador_campanella New Issue
2019-06-13 12:19 salvador_campanella Assigned To => platform
2019-06-13 12:19 salvador_campanella Modules => Core
2019-06-13 12:19 salvador_campanella Triggers an Emergency Pack => No
2019-06-27 13:42 salvador_campanella Severity minor => major
2019-06-28 14:39 caristu Assigned To platform => caristu
2019-06-28 14:40 caristu Note Added: 0113109
2019-06-28 14:40 caristu Status new => acknowledged
2019-07-01 12:31 Sandrahuguet Assigned To caristu => collazoandy4
2019-07-01 12:39 caristu Issue cloned 0041209
2019-07-01 12:39 caristu Relationship added related to 0041209
2019-07-01 16:21 salvador_campanella Note Added: 0113120
2019-07-01 22:48 collazoandy4 Status acknowledged => scheduled
2019-07-08 16:32 collazoandy4 Note Added: 0113223
2019-07-15 11:27 dmiguelez Relationship added related to 0041352
2019-07-16 09:30 hgbot Checkin
2019-07-16 09:30 hgbot Note Added: 0113394
2019-07-16 09:30 hgbot Status scheduled => resolved
2019-07-16 09:30 hgbot Resolution open => fixed
2019-07-16 09:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0e684726a0e453aad98cab81a9bf7e74826be2ea [^]
2019-07-16 09:31 dmiguelez Review Assigned To => dmiguelez
2019-07-16 09:31 dmiguelez Note Added: 0113395
2019-07-16 09:31 dmiguelez Status resolved => closed
2019-07-16 09:31 dmiguelez Fixed in Version => 3.0PR19Q3
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114150


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker